%define anolis_release 1

%undefine __cmake_in_source_build

%global dnf_conflict 2.8.8
%global libcurl_version 7.52.0

Name:           librepo
Version:        1.15.2
Release:        %{anolis_release}%{?dist}
Summary:        Repodata downloading library

License:        LGPL-2.1-or-later
URL:            https://github.com/rpm-software-management/librepo
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  check-devel
BuildRequires:  doxygen
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  gpgme-devel
BuildRequires:  libattr-devel
BuildRequires:  libcurl-devel >= %{libcurl_version}
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(openssl)

Requires:       libcurl >= %{libcurl_version}

%description
A library providing C and Python (libcURL like) API to downloading repository
metadata.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Repodata downloading library
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for librepo.

%package -n python3-%{name}
Summary:        Python 3 bindings for the librepo library
%{?python_provide:%python_provide python3-%{name}}
BuildRequires:  python3-devel
BuildRequires:  python3-gpg
BuildRequires:  python3-pyxattr
BuildRequires:  python3-requests
BuildRequires:  python3-sphinx
Requires:       %{name} = %{version}-%{release}
Conflicts:      python3-dnf < %{dnf_conflict}

%description -n python3-%{name}
Python 3 bindings for the librepo library.

%prep
%autosetup -n %{name}-%{version}  -p1

%build
%cmake -DWITH_ZCHUNK=OFF
%cmake_build

%check
%ctest

%install
%cmake_install

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/%{name}.so.*

%files doc
%doc README.md AUTHORS

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/
%dir %{abidir}
%{abidir}/_librepo.dump
%{abidir}/librepo.dump

%files -n python3-%{name}
%{python3_sitearch}/%{name}/

%changelog
* Tue Feb 20 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.15.2-1
- update to 1.15.2

* Mon Feb 13 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 1.15.1-1
- update to 1.15.1

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14.2-2
- add doc package

* Wed Mar 02 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.14.2-1
- Initial packaging for Anolis OS 23
